> For the complete documentation index, see [llms.txt](https://docs.cotter.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cotter.app/sdk-reference/react-native/installation.md).

# Installation

{% hint style="info" %}
Make sure you're using `react-native` version **< 0.63**
{% endhint %}

## **Install Cotter**

Make sure you are using version >= 0.2.0.&#x20;

{% tabs %}
{% tab title="yarn" %}

```
yarn add react-native-cotter
```

{% endtab %}

{% tab title="npm" %}

```
npm install react-native-cotter --save
```

{% endtab %}
{% endtabs %}

**Installing Dependencies for bare React Native project**

{% tabs %}
{% tab title="yarn" %}

```
yarn add react-native-device-info rn-secure-storage react-native-randombytes react-native-camera react-native-svg react-native-securerandom buffer react-native-inappbrowser-reborn react-native-sha256
```

{% endtab %}

{% tab title="npm" %}

```
npm install  --save react-native-device-info rn-secure-storage react-native-randombytes react-native-camera react-native-svg react-native-securerandom buffer react-native-inappbrowser-reborn react-native-sha256
```

{% endtab %}
{% endtabs %}

### For iOS CocoaPods

```swift
cd ios && pod install && cd ..
```

### For Android

Add the following to your `android/app/build.gradle`

```
android {
  ...
  defaultConfig {
    ...
    missingDimensionStrategy 'react-native-camera', 'general'
    multiDexEnabled true
  }
}
```

**Using React Native >= 0.60**

🎉You're done! Linking the package manually is not required anymore with [Autolinking](https://github.com/react-native-community/cli/blob/master/docs/autolinking.md).

## **(Optional) Additional guides for installation**

{% tabs %}
{% tab title="Using React Native < 0.60 " %}

```swift
react-native link
cd ios && pod install && cd ..
```

{% endtab %}

{% tab title="Manual Installation" %}
Cotter's package doesn't need any manual installation. Cotter is dependent on several packages. Please refer to their docs for manual installation.

* [`react-native-inappbrowser-reborn`](https://www.npmjs.com/package/react-native-inappbrowser-reborn#getting-started) &#x20;
* [`react-native-securerandom`](https://www.npmjs.com/package/react-native-securerandom#installation)
* [`react-native-sha256`](https://www.npmjs.com/package/react-native-sha256#installation)
* [`react-native-permissions`](https://github.com/react-native-community/react-native-permissions)&#x20;
* [`react-native-camera`](https://github.com/react-native-community/react-native-camera)&#x20;
* [`react-native-svg`](https://github.com/react-native-community/react-native-svg)
* [`rn-secure-storage`](https://www.npmjs.com/package/rn-secure-storage)
* [`react-native-randombytes`](https://www.npmjs.com/package/react-native-randombytes)&#x20;
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cotter.app/sdk-reference/react-native/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
